cURL
curl --request PUT \
--url https://api.vaultcord.com/servers/{serverId}/passwords \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "Q1mo99_+2=h@7fQg%YY}YtFUJ*"
}
'import requests
url = "https://api.vaultcord.com/servers/{serverId}/passwords"
payload = { "password": "Q1mo99_+2=h@7fQg%YY}YtFUJ*" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 'Q1mo99_+2=h@7fQg%YY}YtFUJ*'})
};
fetch('https://api.vaultcord.com/servers/{serverId}/passwords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Added password to verification."
}{
"success": false,
"message": "New login required #2"
}Servers
Add verification password
(Optional) Add a password to verification page to prevent unknown members accessing your server.
PUT
/
servers
/
{serverId}
/
passwords
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the VaultCord server
Body
application/json
The new password you would like added to your verify page (send this request several times to add many passwords. It could be used to create "password invite codes" you sell through a monetization platform like Patreon)
A verification password. There are no restrictions, it can be all numbers or text. Make it as long or as short as you prefer (if you have 500+ members, password should be 13+ bytes long for bruteforce protection)
Example:
"Q1mo99_+2=h@7fQg%YY}YtFUJ*"
Was this page helpful?